package org.xbib.logging.log4j.test;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.spi.LoggerContextFactory;
import org.junit.jupiter.api.Test;
import org.xbib.logging.log4j.XbibLoggerContextFactory;
import static org.junit.jupiter.api.Assertions.assertEquals;

public class LoggerContextFactoryTest {

    @Test
    public void testCorrectFactory() {
        final LoggerContextFactory factory = LogManager.getFactory();
        assertEquals(XbibLoggerContextFactory.class, factory.getClass());
    }
}
